package com.aucma.api.domain.dto;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @Author YinQ
 * @create 2023-09-26 14:46
 */
public class SAPBOMPortDto {

    private static final long serialVersionUID = 1L;

    /**
     * 开始时间
     */
    @JsonProperty(value = "NDATE")
    private String startDate;

    /**
     * 结束时间
     */
    @JsonProperty(value = "EDATE")
    private String endDate;

    /**
     * 类型
     */
    @JsonProperty(value = "XTYPE")
    private String type;

    /**
     * 工厂编号
     */
    @JsonProperty(value = "WERKS")
    private WERKSDto factoryCodes;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public WERKSDto getFactoryCodes() {
        return factoryCodes;
    }

    public void setFactoryCodes(WERKSDto factoryCodes) {
        this.factoryCodes = factoryCodes;
    }
}
